Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.definition
Class PortletMarkup

    java.lang.Object
      com.bea.netuix.application.definition.PortletMarkup

All Implemented Interfaces
  Serializable

    public class PortletMarkup

extends Object
implements Serializable

See Also
  Serialized Form

Nested Class Summary
`static class` | `PortletMarkup.PortletType`

Constructor Summary
`PortletMarkup()`

Method Summary
`static String` | `buildMarkup(PortletMarkup portletMarkup)`
`boolean` | `equals(Object o)`
`String` | `getAction()`
`String` | `getBackingFile()`
`String` | `getLafDependenciesUri()`
`PortletMarkup.PortletType` | `getPortletType()`
`String` | `getStrutsModule()`
`int` | `hashCode()`
`boolean` | `isDelete()`
`boolean` | `isEdit()`
`boolean` | `isFloat()`
`boolean` | `isHelp()`
`boolean` | `isMaximize()`
`boolean` | `isMinimize()`
`boolean` | `isTitleBar()`
`static PortletMarkup` | `parseMarkup(String markup)`
`void` | `setAction(String action)`
`void` | `setBackingFile(String backingFile)`
`void` | `setDelete(boolean delete)`
`void` | `setEdit(boolean edit)`
`void` | `setFloat(boolean aFloat)`
`void` | `setHelp(boolean help)`
`void` | `setLafDependenciesUri(String lafDependenciesUri)`
`void` | `setMaximize(boolean maximize)`
`void` | `setMinimize(boolean minimize)`
`void` | `setPortletType(PortletMarkup.PortletType portletType)`
`void` | `setStrutsModule(String strutsModule)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PortletMarkup

    public PortletMarkup()

Method Detail

### getPortletType

    public PortletMarkup.PortletType getPortletType()

### setPortletType

    public void setPortletType(PortletMarkup.PortletType portletType)

### isHelp

    public boolean isHelp()

### setHelp

    public void setHelp(boolean help)

### isEdit

    public boolean isEdit()

### setEdit

    public void setEdit(boolean edit)

### isMaximize

    public boolean isMaximize()

### setMaximize

    public void setMaximize(boolean maximize)

### isMinimize

    public boolean isMinimize()

### setMinimize

    public void setMinimize(boolean minimize)

### isFloat

    public boolean isFloat()

### setFloat

    public void setFloat(boolean aFloat)

### isDelete

    public boolean isDelete()

### setDelete

    public void setDelete(boolean delete)

### getBackingFile

    public String getBackingFile()

### setBackingFile

    public void setBackingFile(String backingFile)

### getStrutsModule

    public String getStrutsModule()

### setStrutsModule

    public void setStrutsModule(String strutsModule)

### getAction

    public String getAction()

### setAction

    public void setAction(String action)

### getLafDependenciesUri

    public String getLafDependenciesUri()

### setLafDependenciesUri

    public void setLafDependenciesUri(String lafDependenciesUri)

### isTitleBar

    public boolean isTitleBar()

### buildMarkup

    public static String buildMarkup(PortletMarkup portletMarkup)

### parseMarkup

    public static PortletMarkup parseMarkup(String markup)

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.